---
title: cups
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.cups) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.cups?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.cups) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.cups/src/branch/main/LICENSE)

Setup [cups](https://www.cups.org/) printserver.

<!--more-->

- [Default Variables](#default-variables)
  - [cups_admin_group](#cups_admin_group)
  - [cups_admin_users](#cups_admin_users)
  - [cups_bind_url](#cups_bind_url)
  - [cups_log_level](#cups_log_level)
  - [cups_packages_extra](#cups_packages_extra)
  - [cups_remote_admin_enabled](#cups_remote_admin_enabled)
  - [cups_selinux_fcontext](#cups_selinux_fcontext)
  - [cups_selinux_restorecon](#cups_selinux_restorecon)
  - [cups_server_admin](#cups_server_admin)
  - [cups_server_alias](#cups_server_alias)
  - [cups_server_name](#cups_server_name)
  - [cups_system_groups](#cups_system_groups)
  - [cups_version](#cups_version)
- [Dependencies](#dependencies)

---

## Default Variables

### cups_admin_group

#### Default value

```YAML
cups_admin_group: printadmin
```

### cups_admin_users

#### Default value

```YAML
cups_admin_users:
  - name: cupsadm
    password: secure
```

### cups_bind_url

#### Default value

```YAML
cups_bind_url:
  - localhost:631
```

### cups_log_level

#### Default value

```YAML
cups_log_level: warn
```

### cups_packages_extra

Install dependencies or custom driver packages

#### Default value

```YAML
cups_packages_extra: []
```

### cups_remote_admin_enabled

#### Default value

```YAML
cups_remote_admin_enabled: false
```

### cups_selinux_fcontext

#### Default value

```YAML
cups_selinux_fcontext: []
```

#### Example usage

```YAML
cups_selinux_fcontext:
  - target: /opt/brother
    setype: bin_t
```

### cups_selinux_restorecon

#### Default value

```YAML
cups_selinux_restorecon: []
```

#### Example usage

```YAML
["-R /opt/brother"]
```

### cups_server_admin

#### Default value

```YAML
cups_server_admin: admin@example.com
```

### cups_server_alias

#### Default value

```YAML
cups_server_alias: '{{ cups_server_name }}'
```

### cups_server_name

#### Default value

```YAML
cups_server_name: print.example.org
```

### cups_system_groups

#### Default value

```YAML
cups_system_groups:
  - root
  - '{{ cups_admin_group }}'
```

### cups_version

#### Default value

```YAML
cups_version: 2.4.0
```



## Dependencies

None.
